/**
 * Copyright (c) 2019 CEA LIST.
 *
 *  All rights reserved. This program and the accompanying materials
 *  are made available under the terms of the Eclipse Public License 2.0
 *  which accompanies this distribution, and is available at
 *  https://www.eclipse.org/legal/epl-2.0/
 *
 *  SPDX-License-Identifier: EPL-2.0
 *
 *  Contributors:
 *  Vincent Lorenzo (CEA LIST) vincent.lorenzo@cea.fr - Initial API and implementation
 */
package org.eclipse.papyrus.model2doc.emf.documentstructuretemplate;

import org.eclipse.papyrus.model2doc.core.builtintypes.DefaultFileReference;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Insert File Template</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * This element allows to insert the content of an existing file into the generated file.
 * <!-- end-model-doc -->
 *
 *
 * @see org.eclipse.papyrus.model2doc.emf.documentstructuretemplate.DocumentStructureTemplatePackage#getInsertFileTemplate()
 * @model
 * @generated
 */
public interface InsertFileTemplate extends DefaultFileReference, ILeafSubBodyPartTemplate, ILeafBodyPartTemplate {
} // InsertFileTemplate
