/*****************************************************************************
 * Copyright (c) 2019 CEA LIST.
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License 2.0
 * which accompanies this distribution, and is available at
 * https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Contributors:
 *	Vincent Lorenzo (CEA LIST) vincent.lorenzo@cea.fr - Initial API and implementation
 *****************************************************************************/

package org.eclipse.papyrus.model2doc.odt.internal.transcription;

/**
 * This class contains the custom fields used to generate LibreOffice document
 */
public class CustomFields {

	/**
	 * Constructor.
	 *
	 */
	private CustomFields() {
		// to prevent instanciation
	}

	/**
	 * The custom field Authors
	 */
	public static final String AUTHORS = "Authors"; //$NON-NLS-1$

	/**
	 * The custom field Version
	 */
	public static final String VERSION = "Version"; //$NON-NLS-1$
}
